Segment 2 - Kommunikation mit externen Stellen (KEx) - SWE 2.Statischer Import Netz
===================================================================================

## Übersicht

Im so genannten Mapinfo (MIF)-Format vorliegende Objekte werden über die Funktionen
dieser SWE weitestgehend generisch eingelesen und in Konfigurationsdaten im Format
des [DatKatBLAK] bzw. [DatKatLosC1C2VRZ3] konvertiert.

Das Modul wird mit den üblichen Startparametern für Datenverteilerapplikationen
gestartet.

Die Klasse zum Starten des Moduls ist:
	de.bsvrz.kex.bwsin.vew.BWMIF

Zusätzliche Parameter: siehe Feinentwurf


Zur Ausführung der Softwareeinheit sind neben den Kernsoftware-Bibliotheken folgende
zusätzliche Bibliotheken bzw. Softwareeinheiten erforderlich:
	de.bsvrz.sys.funclib.bitctrl
	geotools.jar ("GeoTools, The Open Source Java GIS Toolkit", im 'lib-Unterverzeichnis
	        dieser Distribution)
	bc-geotools.jar (GeoTools-Erweiterungen, im 'lib-Unterverzeichnis dieser Distribution)
	jai_core.jar (Teil des Java Advanced Imaging Package, im 'lib-Unterverzeichnis
	        dieser Distribution)


## Bemerkungen

Die in dieser SWE benutzte Bilbliothek "GeoTools, The Open Source Java GIS Toolkit"
(http://geotools.codehaus.org/) bezieht ihren Logging-Level über den Standard-Logger
der JAVA-Umgebung. Um diesen zu verändern, müssen entweder die Standard-Logging
Properties der Java-Umgebung angepasst werden (Datei: logging.properties in
der benutzten Java-Umgebung) oder eigene Logging-Properties an die VM übergeben
werden (VM-Argument: -Djava.util.logging.config.file=<file>).


## Disclaimer

Segment 2 (KEx), SWE 2.DE Statischer Import MIF
Copyright (C) 2007 BitCtrl Systems GmbH

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51
Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


## Kontakt

BitCtrl Systems GmbH<br>
Weißenfelser Straße 67<br>
04229 Leipzig<br>
Phone: +49 341-490670<br>
mailto: info@bitctrl.de<br>
